This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 22844 - XF86_SVGA problems on SMI SM910
XF86_SVGA problems on SMI SM910
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 11:17 EST by Gerald Teschl
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 16:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-12-26 11:17:17 EST
XF86_SVGA will crash immediately after login from kdm int kde2.


00:02.0 VGA compatible controller: Silicon Motion, Inc. SM910 (rev b5)
Comment 1 Gerald Teschl 2000-12-26 12:19:39 EST
I just did some further investigations. I can startx from the commandline or
login via gdm.

However, when I switch to vt1 and then back to X I can see X for a second and
then the
screen will go blank. Moreover, I found out that X will not crash. In fact, if I
press the
little button which turns off the LCD panel when the lid is closed, then the
panel will go ON and everything is just fine except for the brightness wich is
extremely low. If I release the button
the screen will go blank again.
Comment 2 Gerald Teschl 2001-02-08 08:29:15 EST
I just found out the following: The vga card can output the signal to an
external monitor
and to the internal LCD. When I switch back from the console to X, the output is
set
to external only. Using the keybord I can switch back to internal only and
everything is
finde.
Comment 3 Mike A. Harris 2001-04-25 01:26:20 EDT
It is possible your soundcard was locking up the machine perhaps.  KDE
by default starts up sound effects and that has caused some machines to
lock.  I would think it to be a kernel bug if it occurs and is the case.
This may or may not be the problem you had.. hard to say.  Looks like it works
for you now though so I'm closing the bug.  Thanks.
Comment 4 Gerald Teschl 2001-04-25 12:19:05 EDT
No the problem still persists and it doesn't seem to be kde and or sound
related:

If I switch from a virtual console back to X11 the driver switches the output
signal from
the internal LCD to the connector for an external monitor. The same happens when
the
screen server is activated. I it is no big deal since I can switch the signal
back to the
internal LCD using some special keyboard sequences. However, it is quite
anoying.
Comment 5 Gerald Teschl 2001-04-25 12:30:41 EDT
I just did some furhter testing. The above two problems are only present with
gnome.
However, if I use gnome and change the screen saver in the configuration
application
and press the "OK" butten, the vga signal will be also changed to external only.
Comment 6 Gerald Teschl 2001-04-25 12:31:44 EDT
Sorry, the first sencence of my previous entry should read "are only present
with KDE".
Comment 7 Mike A. Harris 2001-05-24 16:33:35 EDT
Bill, Bero, Havoc - do you think this might be related to the DPMS problems
in xscreensaver/GNOME?
Comment 8 Mike A. Harris 2001-05-24 16:36:46 EDT
Oops, accidentally changed component to Efence somehow...
I'll blame it on Mozilla's relative crappiness for now..  yeah, that was it..
Comment 9 Bill Nottingham 2001-05-24 16:37:26 EDT
Um, only indirectly in that they might be querying/setting DPMS settings. Querying
the X server's DPMS settings should *not* cause it to switch the display,
though....
Comment 10 Mike A. Harris 2001-07-16 04:04:10 EDT
Does this problem still occur in our latest errata?
Comment 11 Gerald Teschl 2001-07-24 04:42:45 EDT
Yes the problem is still here in beta2 (XFree86-4.1.0-0.8.6).
Comment 12 Gerald Teschl 2001-08-06 16:16:31 EDT
Problem is still present in beta3

Comment 13 Gerald Teschl 2001-08-06 16:18:16 EDT
BTW, I just noted that if I don't boot the kernel into fb mode, it will
not be possible to get the "signal" back to internal. Instead the entire
display will turn from black to white. 
Comment 14 Mike A. Harris 2001-11-01 01:50:02 EST
Unfortunately, we simply do not have the hardware available to look
into this issue.  XFree86 3.3.6 is more or less completely dead now.
There is no movement in its source code for just less than a year now.
Instead I recommend trying to use the 4.1.0 server, and disabling
acceleration if it doesn't work.  3.3.6 is no longer maintained at all,
however there is always a possibility that the 4.x driver maintainer
may still work on open issues in the 4.x driver.

Sorry we're unable to look into this matter.

Note You need to log in before you can comment on or make changes to this bug.